• Diese Seite verwendet Cookies. Indem du diese Website weiterhin nutzt, erklärst du dich mit der Verwendung von Cookies einverstanden. Erfahre mehr

QNativeImage: Unable to attach to shared memory segment.

[KB]

Well-Known Member
Themenstarter #1
Hallo,

seit geraumer Zeit (wahrscheinlich im Zusammenhang mit den Update der libpng) funktionieren die "reinen" qt4-Programme (wie z.B. VLC und KeepassX) nicht mehr wie erwartet.
Die GUI ist unbrauchbar und ich sehe in z.B. im Output von VLC die Fehlermeldungen:

Code:
QNativeImage: Unable to attach to shared memory segment.
und dazu in der .xsession-errors:

Code:
Failed to lock session key page
QNativeImage: Unable to attach to shared memory segment.
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Major opcode: 62 (X_CopyArea)
  Resource id:  0x0
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Major opcode: 62 (X_CopyArea)
  Resource id:  0x0
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Major opcode: 62 (X_CopyArea)
  Resource id:  0x0
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Major opcode: 62 (X_CopyArea)
  Resource id:  0x0
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Major opcode: 62 (X_CopyArea)
  Resource id:  0x0
X Error: BadWindow (invalid Window parameter) 3
  Major opcode:  19
  Minor opcode:  0
  Resource id:  0x3c0000c
Nun habe ich wie empfohlen folgende Einträge in der loader.conf hinzugefügt um den Shared Memory Bereich etwas zu erhöhen:

Code:
#===>>> pkg-message for qt4-gui-4.8.2
#======================================================================
kern.ipc.shmall=32768
kern.ipc.shmmni=1024
kern.ipc.shmseg=1024
#======================================================================
Leider auch keine Besserung. Und 4G Arbeitsspeicher sollten reichen um VLC zu starten. :confused:

Hat bzw. hatte noch jemand dieses Problem und evtl. die Lösung dafür?
Ich hatte auch schon einmal komplett portmaster -af laufen lassen.
Jedoch hat dies leider auch nichts gebracht.:grumble:
 

[KB]

Well-Known Member
Themenstarter #2
Ich habe so eben beim Starten eines GTK-Programmes die Fehlermeldung gesehen, dass die libpng.so.6 nicht gefunden werden konnte.
Daraufhin habe ich in der libmap.conf folgendes hinzugefügt:

libpng.so.6 libpng.so

Anschließend das GTK-Programm neu gestartet und die Fehlermeldung war weg.
Mein oben genanntes Problem besteht aber nach wie vor.
Somit schließe ich jetzt mal voreilig das Update der libpng aus und vermutet eher das es was mit Folgendem zu tun hat (Auszug aus UPDATING):


20120527:
AFFECTS: users of x11-toolkits/qt4-gui
AUTHOR: kde@FreeBSD.org

Qt started using the raster graphics system engine, which relies on
shared memory. Be sure to check pkg-message.

Und nu? :confused:
 

pit234a

Well-Known Member
#3
mein letzter (erfolgreicher) Update war etwa vor einer Woche erfolgt. Danach funktionierte VLC und andere QT4 Anwendungen noch.
Nun läuft ein neuer Update, vielleicht geht es dann danach nicht mehr...

Das Datum des Beitrags ist aber eindeutig älter, als mein letzter erfolgreicher Update.

Probleme mit irgendwelchen .so.x die nicht gefunden werden, habe ich typischerweise dann gehabt, wenn ich ein unsauberes System hatte und nicht alles upgedatet war, was sollte. Etwa bei Mischen von Paketen und Ports ohne Beachtung der Versionskonflikt-Hinweise.